FROM portoitapoa/alpine-jdk11-tz_br_sp

VOLUME /tmp

MAINTAINER portoitapoa

ENV PORT=2196

ENV PROFILE=

#COPIANDO O JAR DO SERVIÇO PARA DIRETÓRIO "/opt" NA IMAGEM
COPY target/auth-exemplo.jar /opt/app.jar

#DEFININDO O DIRETÓRIO DE TRABALHO ONDE SERÁ INICIADO E EXECUTADO OS COMANDOS INICIAIS
WORKDIR /opt

#DEFININDO UM COMANDO QUE SERÁ EXECUTADO COM STARTAR O CONTAINER 
ENTRYPOINT exec java -Xms32m -Xmx64m -Xss2m -Djava.security.egd=file:/dev/./urandom -jar /opt/app.jar $PROFILE

#DEFININDO UMA PORTA NECESSÁRIA PARA O CONTAINER
EXPOSE $PORT